

#include "..\..\00_HeaderFiles\01_BaseClasses\CSceneBase.h"
#include "..\..\00_HeaderFiles\00_ManagementClasses\CImageManager.h"
#include "..\..\00_HeaderFiles\03_OtherClasses\CAllKeysState.h"

CSceneBase::CSceneBase(void)
{
	m_eRequestScene = CSceneManager::ESceneType::TOTAL;
}


CSceneBase::~CSceneBase(void)
{
}

void CSceneBase::Run( CImageManager* arg_pinImageManager,
                      CAllKeysState* arg_pinAllKeysState )
{
	
}

CSceneManager::ESceneType CSceneBase::GetRequestScene()
{
	return m_eRequestScene;
}



